> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fund Position Signals

> Retrieve a strategic overview of top stocks based on aggregated position changes by hedge funds, utilizing data from the most recent SEC 13F filings. This endpoint provides a detailed overview of fund activities, capturing changes across calls, puts, new positions, closures, and net adjustments. It highlights where hedge funds are intensifying their focus, reducing exposure, or completely shifting their investment strategies, helping users identify trends and strategic moves in the market.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/holdings/funds/trends/
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/holdings/funds/trends/:
    post:
      tags:
        - Fund Holdings
      summary: Fund Position Signals
      description: >-
        Retrieve a strategic overview of top stocks based on aggregated position
        changes by hedge funds, utilizing data from the most recent SEC 13F
        filings. This endpoint provides a detailed overview of fund activities,
        capturing changes across calls, puts, new positions, closures, and net
        adjustments. It highlights where hedge funds are intensifying their
        focus, reducing exposure, or completely shifting their investment
        strategies, helping users identify trends and strategic moves in the
        market.
      operationId: Fund_Position_Signals_v1_holdings_funds_trends__post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicGetFundTrendsQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicFundTrendsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  schemas:
    PublicGetFundTrendsQuery:
      properties:
        type:
          anyOf:
            - $ref: '#/components/schemas/SecurityType'
            - type: 'null'
          description: >-
            The type of securities to retrieve. One of 'stock' or 'etf'. Returns
            all types if not specified.
          examples:
            - stock
        market_cap:
          anyOf:
            - $ref: '#/components/schemas/MarketCap'
            - type: 'null'
          description: >-
            The market cap of securities to retrieve. Returns all market caps if
            not specified.
          examples:
            - large_cap
        sort_dir:
          type: string
          title: Sort Dir
          description: The order to sort the results by. One of 'asc' or 'desc'.
          default: desc
          examples:
            - desc
      additionalProperties: false
      type: object
      title: PublicGetFundTrendsQuery
      description: Schema for the request to the fund trends public API.
    PublicFundTrendsResponse:
      properties:
        results:
          $ref: '#/components/schemas/PublicFundTrendsResults'
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          $ref: '#/components/schemas/PublicFundTrendsMetadata'
      type: object
      required:
        - results
        - metadata
      title: PublicFundTrendsResponse
      description: Main response for fund trends aggregated endpoint.
    BadRequestError:
      properties:
        statusCode:
          type: integer
          const: 400
          title: Statuscode
          default: 400
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: BadRequestError
      description: Bad Request Error
      example:
        message: Bad Request Error
        statusCode: 400
    TooManyRequestsError:
      properties:
        statusCode:
          type: integer
          const: 429
          title: Statuscode
          default: 429
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: TooManyRequestsError
      description: Too many requests. Please try again later.
      example:
        message: Too many requests. Please try again later.
        statusCode: 429
    InternalServerError:
      properties:
        statusCode:
          type: integer
          const: 500
          title: Statuscode
          default: 500
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: InternalServerError
      description: Internal Server Error
      example:
        message: Internal Server Error
        statusCode: 500
    SecurityType:
      type: string
      enum:
        - stock
        - etf
      title: SecurityType
      description: Enum for security type values.
    MarketCap:
      type: string
      enum:
        - mega_cap
        - large_cap
        - mid_cap
        - small_cap
        - micro_cap
      title: MarketCap
      description: Enum for market capitalization values.
    PublicFundTrendsResults:
      properties:
        calls:
          items:
            $ref: '#/components/schemas/PublicPositionChangeItem'
          type: array
          title: Calls
          description: Calls trend data
        puts:
          items:
            $ref: '#/components/schemas/PublicPositionChangeItem'
          type: array
          title: Puts
          description: Puts trend data
        new_positions:
          items:
            $ref: '#/components/schemas/PublicPositionChangeItem'
          type: array
          title: New Positions
          description: New positions trend data
        closed_positions:
          items:
            $ref: '#/components/schemas/PublicPositionChangeItem'
          type: array
          title: Closed Positions
          description: Closed positions trend data
        increased_positions:
          items:
            $ref: '#/components/schemas/PublicPositionChangeItem'
          type: array
          title: Increased Positions
          description: Increased positions trend data
        reduced_positions:
          items:
            $ref: '#/components/schemas/PublicPositionChangeItem'
          type: array
          title: Reduced Positions
          description: Reduced positions trend data
        holding_in_top:
          items:
            $ref: '#/components/schemas/PublicPositionChangeItem'
          type: array
          title: Holding In Top
          description: Holding in top 10 trend data
        net_calls:
          items:
            $ref: '#/components/schemas/PublicNetCallsItem'
          type: array
          title: Net Calls
          description: Net calls trend data
        net_puts:
          items:
            $ref: '#/components/schemas/PublicNetPutsItem'
          type: array
          title: Net Puts
          description: Net puts trend data
        net_new_positions:
          items:
            $ref: '#/components/schemas/PublicNetNewPositionsItem'
          type: array
          title: Net New Positions
          description: Net new positions trend data
        net_closed_positions:
          items:
            $ref: '#/components/schemas/PublicNetClosedPositionsItem'
          type: array
          title: Net Closed Positions
          description: Net closed positions trend data
        net_increased_positions:
          items:
            $ref: '#/components/schemas/PublicNetIncreasedPositionsItem'
          type: array
          title: Net Increased Positions
          description: Net increased positions trend data
        net_reduced_positions:
          items:
            $ref: '#/components/schemas/PublicNetReducedPositionsItem'
          type: array
          title: Net Reduced Positions
          description: Net reduced positions trend data
      type: object
      title: PublicFundTrendsResults
      description: Container with all fund trends data.
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    PublicFundTrendsMetadata:
      properties:
        reporting_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reporting Year
          description: Reporting year
          examples:
            - 2025
        reporting_quarter:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reporting Quarter
          description: Reporting quarter
          examples:
            - 1
        filters_applied:
          additionalProperties: true
          type: object
          title: Filters Applied
          description: Applied filters
        sort_dir:
          type: string
          title: Sort Dir
          description: Sort direction used
          examples:
            - desc
        mapping:
          anyOf:
            - $ref: '#/components/schemas/HoldingsMapping'
            - type: 'null'
          description: RP entity ID to ticker mapping
          examples:
            - stock:
                4A6F00: GOOGL
                D8442A: AAPL
      type: object
      required:
        - sort_dir
      title: PublicFundTrendsMetadata
      description: Metadata for fund trends response.
    PublicPositionChangeItem:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rp Entity Id
          description: RavenPack entity ID
          examples:
            - D8442A
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: Ticker symbol
          examples:
            - AAPL
        name:
          type: string
          title: Name
          description: Company name
          examples:
            - Apple Inc.
        active:
          type: boolean
          title: Active
          description: Whether the company is active
          examples:
            - true
        current:
          type: integer
          title: Current
          description: Current number of funds
          examples:
            - 150
        previous:
          type: integer
          title: Previous
          description: Previous number of funds
          examples:
            - 120
        change:
          type: integer
          title: Change
          description: Change in number of funds
          examples:
            - 30
        change_percent:
          anyOf:
            - type: number
            - type: 'null'
          title: Change Percent
          description: Percentage change
          examples:
            - 25
      type: object
      required:
        - target_identifier_id
        - name
        - active
        - current
        - previous
        - change
      title: PublicPositionChangeItem
      description: Item for position change trends (calls, puts, new_positions, etc.).
    PublicNetCallsItem:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rp Entity Id
          description: RavenPack entity ID
          examples:
            - D8442A
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: Ticker symbol
          examples:
            - AAPL
        name:
          type: string
          title: Name
          description: Company name
          examples:
            - Apple Inc.
        active:
          type: boolean
          title: Active
          description: Whether the company is active
          examples:
            - true
        net_calls:
          type: integer
          title: Net Calls
          description: Net calls amount
          examples:
            - 5000
        calls:
          type: integer
          title: Calls
          description: Total calls amount
          examples:
            - 10000
        puts:
          type: integer
          title: Puts
          description: Total puts amount
          examples:
            - 5000
      type: object
      required:
        - target_identifier_id
        - name
        - active
        - net_calls
        - calls
        - puts
      title: PublicNetCallsItem
      description: Item for net calls trend.
    PublicNetPutsItem:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rp Entity Id
          description: RavenPack entity ID
          examples:
            - D8442A
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: Ticker symbol
          examples:
            - AAPL
        name:
          type: string
          title: Name
          description: Company name
          examples:
            - Apple Inc.
        active:
          type: boolean
          title: Active
          description: Whether the company is active
          examples:
            - true
        net_puts:
          type: integer
          title: Net Puts
          description: Net puts amount
          examples:
            - 3000
        calls:
          type: integer
          title: Calls
          description: Total calls amount
          examples:
            - 5000
        puts:
          type: integer
          title: Puts
          description: Total puts amount
          examples:
            - 8000
      type: object
      required:
        - target_identifier_id
        - name
        - active
        - net_puts
        - calls
        - puts
      title: PublicNetPutsItem
      description: Item for net puts trend.
    PublicNetNewPositionsItem:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rp Entity Id
          description: RavenPack entity ID
          examples:
            - D8442A
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: Ticker symbol
          examples:
            - AAPL
        name:
          type: string
          title: Name
          description: Company name
          examples:
            - Apple Inc.
        active:
          type: boolean
          title: Active
          description: Whether the company is active
          examples:
            - true
        net_new_positions:
          type: integer
          title: Net New Positions
          description: Net new positions count
          examples:
            - 25
        new_positions:
          type: integer
          title: New Positions
          description: Number of new positions
          examples:
            - 50
        closed_positions:
          type: integer
          title: Closed Positions
          description: Number of closed positions
          examples:
            - 25
      type: object
      required:
        - target_identifier_id
        - name
        - active
        - net_new_positions
        - new_positions
        - closed_positions
      title: PublicNetNewPositionsItem
      description: Item for net new positions trend.
    PublicNetClosedPositionsItem:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rp Entity Id
          description: RavenPack entity ID
          examples:
            - D8442A
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: Ticker symbol
          examples:
            - AAPL
        name:
          type: string
          title: Name
          description: Company name
          examples:
            - Apple Inc.
        active:
          type: boolean
          title: Active
          description: Whether the company is active
          examples:
            - true
        net_closed_positions:
          type: integer
          title: Net Closed Positions
          description: Net closed positions count
          examples:
            - 15
        new_positions:
          type: integer
          title: New Positions
          description: Number of new positions
          examples:
            - 20
        closed_positions:
          type: integer
          title: Closed Positions
          description: Number of closed positions
          examples:
            - 35
      type: object
      required:
        - target_identifier_id
        - name
        - active
        - net_closed_positions
        - new_positions
        - closed_positions
      title: PublicNetClosedPositionsItem
      description: Item for net closed positions trend.
    PublicNetIncreasedPositionsItem:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rp Entity Id
          description: RavenPack entity ID
          examples:
            - D8442A
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: Ticker symbol
          examples:
            - AAPL
        name:
          type: string
          title: Name
          description: Company name
          examples:
            - Apple Inc.
        active:
          type: boolean
          title: Active
          description: Whether the company is active
          examples:
            - true
        net_increased_positions:
          type: integer
          title: Net Increased Positions
          description: Net increased positions count
          examples:
            - 40
        increased_positions:
          type: integer
          title: Increased Positions
          description: Number of increased positions
          examples:
            - 60
        reduced_positions:
          type: integer
          title: Reduced Positions
          description: Number of reduced positions
          examples:
            - 20
      type: object
      required:
        - target_identifier_id
        - name
        - active
        - net_increased_positions
        - increased_positions
        - reduced_positions
      title: PublicNetIncreasedPositionsItem
      description: Item for net increased positions trend.
    PublicNetReducedPositionsItem:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rp Entity Id
          description: RavenPack entity ID
          examples:
            - D8442A
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: Ticker symbol
          examples:
            - AAPL
        name:
          type: string
          title: Name
          description: Company name
          examples:
            - Apple Inc.
        active:
          type: boolean
          title: Active
          description: Whether the company is active
          examples:
            - true
        net_reduced_positions:
          type: integer
          title: Net Reduced Positions
          description: Net reduced positions count
          examples:
            - 30
        increased_positions:
          type: integer
          title: Increased Positions
          description: Number of increased positions
          examples:
            - 40
        reduced_positions:
          type: integer
          title: Reduced Positions
          description: Number of reduced positions
          examples:
            - 70
      type: object
      required:
        - target_identifier_id
        - name
        - active
        - net_reduced_positions
        - increased_positions
        - reduced_positions
      title: PublicNetReducedPositionsItem
      description: Item for net reduced positions trend.
    HoldingsMapping:
      properties:
        fund:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Fund
          default: {}
          examples:
            - Q1GA4E: stillwater-wealth-management-group
        stock:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Stock
          default: {}
          examples:
            - 4A6F00: GOOGL
      type: object
      title: HoldingsMapping
      description: Mapping of RP entity IDs to Wall St Rank symbols used.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````